---
name: Bug Report
about: Create a report to help us improve
title: "[BUG] "
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Environment (please complete the following information):**
 - OS: [e.g. Ubuntu 22.04, macOS Sonoma, Windows 11]
 - Python version: [e.g. 3.10.4]
 - gpu-monitor version: [e.g. 0.2.0]
 - SSH client and version (if relevant): [e.g., OpenSSH_8.9p1, PuTTY 0.78]
 - Remote host OS (if relevant): [e.g. Ubuntu 20.04]
 - `nvidia-smi` version on remote host (if relevant):

**Cluster Configuration (if applicable)**
Please provide the relevant parts of your cluster configuration YAML file (e.g., `my_cluster.yaml`). **Be sure to redact any sensitive information like hostnames or IP addresses if necessary.**
```yaml
# Paste relevant parts of your cluster config here
```

**Additional context**
Add any other context about the problem here. Include any relevant logs or error messages. If providing logs, please use code blocks for readability.

```
Paste logs here
```
